KDE 4.7 PyKDE API Reference

- KDE's Python API

# GroupTerm Class Reference

`from PyKDE4.nepomuk import *`

Inherits: Nepomuk.Query.Term
Namespace: Nepomuk.Query

## Detailed Description

\class GroupTerm groupterm.h Nepomuk/Query/GroupTerm

Abstract base class for AndTerm and OrTerm which maintains a list of sub-terms.

Author:
  Sebastian Trueg <trueg@kde.org>

Since:
  4.4

## Methods
| __init__ (self, Nepomuk.Query.Term term)
| addSubTerm (self, Nepomuk.Query.Term term)
| setSubTerms (self, [Nepomuk.Query.Term] terms)
[Nepomuk.Query.Term] | subTerms (self)

## Method Documentation

__init__ | ( | self, |
|  | Nepomuk.Query.Term | term
| ) |  |  |

\cond protected_error_members

addSubTerm | ( | self, |
|  | Nepomuk.Query.Term | term
| ) |  |  |

Add a sub term to the list of terms that are combined in this group.

\sa setSubTerms(), subTerms()

setSubTerms | ( | self, |
|  | [Nepomuk.Query.Term] | terms
| ) |  |  |

Set the sub terms that are combined in this group.

\sa subTerms()

[Nepomuk.Query.Term] subTerms | ( |  | self ) |

The sub terms that are combined in this group.

\sa setSubTerms()